Subversion Repositories pub

Compare Revisions

Ignore whitespace Rev 290 → Rev 291

/video-contact-sheet/trunk/vcs
1,6 → 1,6
#!/bin/bash
#
# $Rev: 291 $ $Date: 2007-04-21 02:21:32 +0200 (ds, 21 abr 2007) $
# $Rev: 294 $ $Date: 2007-04-21 19:31:55 +0200 (ds, 21 abr 2007) $
#
# vcs
# Video Contact Sheet *NIX: Generates contact sheets (previews) of videos
24,7 → 24,7
# Author: Toni Corvera <outlyer@outlyer.net>
#
 
declare -r VERSION="1.0.5b"
declare -r VERSION="1.0.6b"
#
# History (The full changelog was moved to a separate file and can be found
# at <http://p.outlyer.net/vcs/files/CHANGELOG>).
31,35 → 31,9
#
# TODO: Support for ms timestamps (ffmpeg supports it e.g. 54.9 is ok and != 54)
#
# 1.0.5b: (2007-04-20)
# * INTERNAL: Split functionality in more separate pieces (functions)
# * BUGFIX: Corrected --aspect declaration
# * CLEANUP: Put all temporary files in the same temporary directory
# * FEATURE: Highlight support
# * FEATURE: Extended mode (-e)
# * FEATURE: Added -U (--fullname)
# * Requirements detection now prints all failed requirements
# * BUGFIX: (Regression introduced in 1.0.4b) Fail if interval is longer
# than video
# * Don't print the sucess line unless it was really successful
# * Allow quiet operation (-q and -qq), and different verbosity levels
# (only through config overrides)
# * Print vcs' identification on operation
# * FEATURE: Auto aspect ratio (-A, --autoaspect)
# * INTERNAL: Added better documentation of functions
# * Print coloured messages if possible (can be disabled by overriding
# $plain_messages)
# * FEATURE: Command line overrides (-O, --override)
# * BUGFIX: Don't allow setting -n0
# * Renamed codec ids of WMA2 (to WMA8) and WMA3 (to WMA9)
# * Changed audio codec ids from MPEG-1 to MPEG, as there's no difference,
# from mplayer's identification at least, between MPEG-1 and MPEG-2
# * Audio identified as MP2 can also actually be MP1, added it to the codec id
# * Added codec ids for: Vorbis, WMA7/WMA1, WMV1/WMV7, PCM, DivX ;),
# OpenDivX, LAVC MPEG-4, MSMPEG-4 family, M-JPEG, RealVideo family, I420,
# Sorenson 1 & 3, QDM2, and some legacy codecs (Indeo 3.2, Indeo 5.0,
# MS Video 1 and MS RLE)
# * Print the number of channels if != 2
# 1.0.6b: (2007-04-21) (Bugfix release)
# * BUGFIX: Use mktemp instead of tempfile (Thanks to 'o kapi')
# * Make sure mktemp is installed, just in case ;)
#
 
set -e
473,7 → 447,7
# test_programs()
test_programs() {
local retval=0 last=0
for prog in mplayer convert montage bc ffmpeg ; do
for prog in mplayer convert montage bc ffmpeg mktemp ; do
type -pf "$prog" >/dev/null
if [ $? -ne 0 ] ; then
error "Required program $prog not found!"
567,11 → 541,15
# Create a new temporal file and print its filename
# new_temp_file($1 = suffix)
new_temp_file() {
local r=$(tempfile -d "$VCSTEMPDIR" -p "vcs-" -s "$1")
local r=$(mktemp -p "$VCSTEMPDIR" "vcs-XXXXXX")
if [ ! -f "$r" ]; then
error "Failed to create temporary file"
return $EX_CANTCREAT
fi
r=$(safe_rename "$r" "$r$1") || {
error "Failed to create temporary file"
return $EX_CANTCREAT
}
TEMPSTUFF+=( "$r" )
echo "$r"
}